Redmine - Feature #15880
Consistent, global button/menu to add new content
2014-01-15 21:27 - Jan from Planio www.plan.io

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 100%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

Currently, Redmine has at least three different Ul concepts for adding new content:

1. To create an issue, the tab "New issue" is used.
2. To create a wiki page, you have to reference that page first in another page and then click on the (red) link.
3. To create most other content (news, messages, etc.) the links at the top right (div with CSS class contextual) are used.

In my opinion, the last option makes most sense, and | would be in favour of getting rid of the "New issue" tab, and adding a "New
issue" link in div.contextual within the issues section instead. To be consistent, | would also add a "New wiki page" link in the wiki
section.

Now, | understand that tracking issues is the main purpose of Redmine and adding new issues should be as easy as possible. So it is
understandable why we have the "New issue" tab today. However, instead of the tab, | would propose a new tab at the very left that
could be labeled "Add", or "New", or simply " + ". Hovering over this tab would open a drop down menu with options like "Add issue",
"Add wiki page", "Add news" (maybe also "Add Milestone"), etc. And of course, there would be a hook in this menu, so that plugins
can use the mechanism, too.

I have that on my personal to do list for Planio and I'd like to see this in Redmine as well, so | will submit the patch once | have it.

Meanwhile, what do others think about this?

Related issues:

Related to Redmine - Patch # 15905: Button to add new wiki page Closed

Related to Redmine - Patch # 6427: Create CSS to support child and nested menus Closed 2010-09-17
Related to Redmine - Feature # 10773: Support Nesting Menus New

Related to Redmine - Feature # 6984: Configure order/position and visbility o... New 2010-11-25
Related to Redmine - Feature # 6204: Make the "New issue" menu item optional Closed 2010-08-25
Related to Redmine - Feature # 5536: Simplify Wiki Page creation ("Add Page" ... Closed 2010-05-17
Related to Redmine - Feature # 8357: create new wiki page from an additional ... Closed 2011-05-12
Related to Redmine - Feature # 12469: Alternate New Issue invocation Closed

Related to Redmine - Patch # 23040: Japanese translation update (r15509) Closed

Related to Redmine - Defect # 24000: z-index children menu should be greater ... Closed

Related to Redmine - Feature # 4157: Ul tweaks for end user to easily get to ... Closed 2009-11-02
Related to Redmine - Patch # 13234: Create a new wiki page link for laymans Closed

Duplicated by Redmine - Feature # 6658: Location of "New Issue" menu item Closed 2010-10-13

Associated revisions

Revision 15393 - 2016-05-08 08:48 - Jean-Philippe Lang

Child nodes should only be rendered if the user is actually authorized to see them (#15880).

Patch by Jan Schulz-Hofen.
Revision 15501 - 2016-06-11 08:21 - Jean-Philippe Lang

Introduce virtual MenuNodes (#15880).

They are characterized by having a blank url. they will only be rendered if the user is authorized to see at least one of its children. they render as links
which do nothing when clicked.

Patch by Jan Schulz-Hofen.

Revision 15502 - 2016-06-11 08:22 - Jean-Philippe Lang

Style nested menus as drop downs on hover (#15880).

Patch by Jan Schulz-Hofen.

Revision 15503 - 2016-06-11 08:23 - Jean-Philippe Lang

Add virtual menu at the beginning of the project menu (#15880).

It contains menu items for creating issue categories, versions, news,

documents, and files.

Patch by Jan Schulz-Hofen.

Revision 15504 - 2016-06-11 08:26 - Jean-Philippe Lang

Keep the "new object" drop down open when the + sign was clicked (#15880).

For touch displays where :hover does not exist.

Patch by Jan Schulz-Hofen.

Revision 15505 - 2016-06-11 08:28 - Jean-Philippe Lang

Move "New issue" menu item to the new object menu (#15880).

Patch by Jan Schulz-Hofen.

Revision 15506 - 2016-06-11 08:29 - Jean-Philippe Lang

Add link to add a new wiki page to "new object" menu (#15880).

Patch by Jan Schulz-Hofen.

Revision 15507 - 2016-06-11 09:06 - Jean-Philippe Lang
Don't skip condition if defined (#15880).

Revision 15508 - 2016-06-11 09:26 - Jean-Philippe Lang

Adds a setting for choosing the new object menu item style (#15880).

Set to use the new "+" drop-down by default, but let users revert to the "New issue" tab, or no menu item at all.

Revision 15509 - 2016-06-11 09:27 - Jean-Philippe Lang

Updates locales (#15880).

Revision 15513 - 2016-06-12 07:50 - Jean-Philippe Lang

Merged r15501 to r15508 (#15880).

History

#1 - 2014-01-18 12:17 - Ivan Cenov

About adding wiki pages.
Now, when adding an wiki page, it is known which wiki page is is its parent. How do you plan to deal with this?

#2 - 2014-01-18 17:24 - Jan from Planio www.plan.io

lvan Cenov wrote:

Now, when adding an wiki page, it is known which wiki page is is its parent. How do you plan to deal with this?

You can actually add wiki pages without specifying a parent, just try /projects/<your project>/wiki/<something>. You could even select the parent from a
dropdown if you like, but it is not mandatory. What you need though is a name, but that could be added as an additional field in the new wiki page

form...

#3 - 2014-01-20 09:36 - Jan from Planio www.plan.io
- Related to Patch #15905: Button to add new wiki page added

#4 - 2014-02-03 10:11 - Jan from Planio www.plan.io
- Related to Patch #6427: Create CSS to support child and nested menus added

#5 - 2014-02-19 19:15 - Jan from Planio www.plan.io

- File 0001-bugfix-like-top-level-menu-nodes-child-nodes-should-.patch added

- File 0002-introduce-virtual-MenuNodes-which-are-characterized-.patch added

- File 0003-style-nested-menus-as-drop-downs-on-hover-in-all-thr.patch added

- File 0004-add-virtual-menu-at-the-beginning-of-the-project-men.patch added

- File 0005-move-New-issue-menu-item-to-the-new-object-menu-and-.patch added
- File 0006-add-a-New-issue-link-to-contextual-area-of-issues-li.patch added

- File 0007-add-link-and-a-new-action-to-add-a-new-wiki-page-to-.patch added
- File 0008-keep-the-new-object-drop-down-open-when-the-sign-was.patch added
- File new_object_menu.png added
- Target version changed from Unplanned backlogs to Candidate for next major release

Here is a series of patches that solves this issue (in my opinion) against current trunk. Tests are included.

But here's a nice screenshot first:

{{thumbnail(new_object_menu.png)}}

- Patch 0001 fixes a bug in the menu manager where child nodes in a menu would get rendered even if the user wasn't authorized to view them

- Patch 0002 introduces "virtual menu nodes" which are characterized by having a blank url. they will only be rendered if the user is authorized to
see at least one of its children. they render as links which do nothing when clicked.

- Patch 0003 adds stylesheets for nested child menus in all three themes, this supersedes #6427 which had only styles for the main theme

- Patch 0004 adds a virtual menu at the beginning of the project menu containing menu items for creating issue categories, versions, news,
documents, and files

- Patch 0005 moves the "New issue" menu item to the new object (virtual) menu and highlights the "Issues" tab on "new" and "create"

- Patch 0006 adds a "New issue" link to contextual area of issues list for consistency with other areas

- Patch 0007 adds link and a "new" action to add a new wiki page to "new object" menu and to contextual area of wiki section, this supersedes
#15905

- Patch 0008 keeps the "new object" drop down open when the + sign was clicked (for touch displays where :hover does not exist)

By the way - this feature is already live on some Planio accounts, you can try it out and play with it at https://berlin.redmine.ug/ for instance.

| had the opportunity to speak with some Redmine users at our first Redmine User Group meeting and the feedback was positive, so | am marking this

very boldly as candidate for next major release ;-)

#6 - 2014-02-19 19:17 - Jan from Planio www.plan.io
- Status changed from New to Needs feedback

- % Done changed from 0 to 100

#7 - 2014-03-02 12:39 - Jan from Planio www.plan.io
- Related to Feature #10773: Support Nesting Menus added

#8 - 2014-03-02 12:40 - Jan from Planio www.plan.io
- Related to Feature #6984: Configure order/position and visbility of tabs in menu added

#9 - 2014-05-26 17:17 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to New

This looks very interesting, every Ul improvement makes it easier for our users.

| re-set this to new, please test and merge this.

#10 - 2014-09-07 21:35 - Jan from Planio www.plan.io

Jan Niggemann (redmine.org team member) wrote:

| re-set this to new, please test and merge this.
Oh, | only saw this comment now. Sorry for not responding earlier. Not sure who it was directed to.

| think, | don't have commiit rights, so I'd be more than happy if anyone who does would take on merging this in.

#11 - 2014-09-09 06:45 - Mischa The Evil
- Assignee set to Mischa The Evil

At first, Jan (from Planio): thanks for sharing your work on this matter. | think | agree with Jan Niggeman that this Ul/UX change looks like a good
one...

I'll review this feature and the patch series thoroughly for the rest of this week. I'll report back upcoming weekend.

#12 - 2015-07-27 05:54 - Go MAEDA

- Related to Feature #6204: Make the "New issue" menu item optional added

#13 - 2015-12-11 10:50 - Go MAEDA

@dJan (from Planio), it is very interesting.

Could you please share new patches compatible with latest trunk?

#14 - 2015-12-11 11:14 - Jan from Planio www.plan.io

Go MAEDA wrote:

@dJan (from Planio), it is very interesting.

Could you please share new patches compatible with latest trunk?

Sure. Do we have consensus that we want this committed into trunk, though? If not, I'd rather wait until we do before | rebase them. | think it would be

more efficient this way...

If you want to have a look at it first, I'd suggest you apply them to the then-current trunk when | submitted them or create a demo account at Planio

where this runs in production for ~2 years now.

#15 - 2015-12-11 11:15 - Jan from Planio www.plan.io

@Mischa: are you still reviewing this btw, or should | remove you as assignee?

#16 - 2015-12-21 08:05 - Go MAEDA

- Target version changed from Candidate for next major release to 3.3.0

Jan from Planio www.plan.io wrote:

If you want to have a look at it first, I'd suggest you apply them to the then-current trunk when | submitted them or create a demo account at Planio

where this runs in production for ~2 years now.
| tried out the new add button on Planio's site and felt that it was extremely user-friendly. | think it would be really great if we could deliver this feature
on Redmine 3.3.0.
To spark up some discussion, | am setting the target version to 3.3.0.

#17 - 2015-12-22 01:00 - Go MAEDA
- Duplicated by Feature #6658: Location of "New Issue" menu item added
#18 - 2015-12-22 08:31 - Jan from Planio www.plan.io
Go MAEDA wrote:
To spark up some discussion, | am setting the target version to 3.3.0.
That sounds great to me. Let's wait for some other contributors to voice their opinion. If everyone wants this for 3.3.0, | will be happy to rebase it and
prepare for a merge.
#19 - 2016-01-04 14:11 - budo kaiman
I'm not a contributor, but | like the patch (especially for new wiki page button). +1 from me.
#20 - 2016-01-12 09:37 - Go MAEDA
- Related to Feature #5536: Simplify Wiki Page creation ("Add Page" link) added
#21 - 2016-01-19 22:41 - Tobias Fischer
| haven't tried the patch yet or used plan.io to test it, but in my case, "normal" users would just see a single "New Issue" dropdown entry when clicking
the "+" icon in the menu as they are not allowed to create new milestones or categories and wiki is disabled for the project. | wouldn't call this an
improvement over the current UX design in my situation...
#22 - 2016-01-19 22:45 - Tobias Fischer
Let me add another point to the discussion: | understand that UX improvements are important and this might look good, but the "New Issue" tab has
always been a very prominent step for non-tech users to quickly report bugs / feature requests / etc and many third-party-themes highlight this tab as
well. | have mixed feelings about hiding this menu item, also in terms of accessibility...
#23 - 2016-01-19 23:10 - Jan from Planio www.plan.io
Tobias Fischer wrote:

| | haven't tried the patch yet or used plan.io to test it

Try it, maybe you'll think about it differently ;-)

but in my case, "normal” users would just see a single "New Issue" dropdown entry when clicking the "+" icon in the menu
No need to click as it will open on hover already. It's thus just a different move with the cursor when compared to the old "new issue" tab — no

additional "click work" required.
as they are not allowed to create new milestones or categories and wiki is disabled for the project. | wouldn't call this an improvement over the

current UX design in my situation...

Maybe not an improvement in this situation, but it doesn't make UX worse in my opinion, either. For other cases (where users do have more

permissions, which is the default, btw.) it will certainly make creating content more consistent.

#24 - 2016-01-20 15:42 - Marius BALTEANU

| tried this feature on plan.io and it's great.

Jan from Planio www.plan.io wrote:

Tobias Fischer wrote:

but in my case, "normal” users would just see a single "New Issue" dropdown entry when clicking the "+" icon in the menu

No need to click as it will open on hover already. It's thus just a different move with the cursor when compared to the old "new issue" tab — no

additional "click work" required.

For the case described by Tobias, | think that a minor improvement is to have the "new issue" action also for click on "+" icon. In this way, the users

can add a new issue from one click, without the additional small steps (hovering and selecting the New issue from the dropdown).

#25 - 2016-01-22 19:25 - Tobias Fischer

Marius Balteanu wrote:

For the case described by Tobias, | think that a minor improvement is to have the "new issue" action also for click on "+" icon. In this way, the

users can add a new issue from one click, without the additional small steps (hovering and selecting the New issue from the dropdown).

This could be a way to solve the issue.

But still, I'd say this is bad Ul/UX as there is just a "+" sign and the user has to figure out by himself, what's behind it.

Also bad UX in terms of accessibility.
Andy ideas how to solve this?

And what about support for third-party themes which use a vertical nav menu? Would the HTML structure still allow for such a design change?

#26 - 2016-03-19 05:05 - Go MAEDA

- Related to Feature #8357: create new wiki page from an additional "new"-link added

#27 - 2016-03-21 12:40 - Go MAEDA
- Related to Feature #12469: Alternate New Issue invocation added

#28 - 2016-03-21 13:12 - Sebastian Paluch

2020-10-22 7/14


http://www.plan.io

The "+" button is OK but | would not remove "New Issue" from the menu, at least not yet. Our users are very used to it and such change would make a

lot of concern. | would recommend to keep "New Issue" in few places until everyone gets used to. At the same time #6658 sould be implemented.

#29 - 2016-03-21 20:01 - Anonymous

When implementing any major Ul changes, it's generally a safe idea to create the new Ul code and set it as default, with an associated option in the Ul
configuration to "revert to old behaviour".. Wouldn't that solve a number of [potential] issues?

At the same time, | agree with Tobias' opinion above: using an icon in a word-based Ul is generally a bad idea.. If it were an icon-base interface, then

it might be different, but in the current instance words are definitely a better fit.

#30 - 2016-04-20 01:50 - Go MAEDA
- Assignee deleted (Mischa The Evil)

As "New issue" menu item was removed in r15344, this feature is really needed for usability reasons. Please consider implementing this.

#31 - 2016-04-29 09:16 - Go MAEDA

After r15344, we have to click 2 times ("Issues" -> "New issue") to create a new issue if our browser shows other than issues list. It can be resolved by
implementing this feature. Please implement this feature.

@Jan, could you provide an updated patch?

#32 - 2016-04-29 15:41 - the fury

Tobias Fischer wrote:

Marius Balteanu wrote:

For the case described by Tobias, I think that a minor improvement is to have the "new issue" action also for click on "+" icon. In this way, the

users can add a new issue from one click, without the additional small steps (hovering and selecting the New issue from the dropdown).

This could be a way to solve the issue.

But still, I'd say this is bad UI/UX as there is just a "+" sign and the user has to figure out by himself, what's behind it.

Also bad UX in terms of accessibility.
Andy ideas how to solve this?

And what about support for third-party themes which use a vertical nav menu? Would the HTML structure still allow for such a design change?

Speaking of vertical nav menus, how would this "add new" menu work when on mobile devices, with the responsive stuff?

If it's a separate popup/hover menu of its own, then on touchscreen devices, the first touch would open the menu, so it would still be two actions to
start a new issue. Unless there's some kind of special case that overrides that for touch.

If it just spills everything out onto the hamburger menu, then still two actions.
But anything else then starts taking up valuable real estate.

#33 - 2016-05-08 09:05 - Jean-Philippe Lang
- Assignee set to Jan from Planio www.plan.io

- Target version deleted (3.3.0)

People have mixed feelings about this new "Add" menu. I'm not going to add this to 3.3.0 but most of the work is done: "New issue" tab is removed

(but | guess | have to provide a way to restore it anyway), and the "New wiki page" action is implemented.

| wanted to commit all the changes needed to the menu manager but they need to be rebased (not applying cleanly and tests not passing). Jan, if can

rebase patches 002 and 003, | will commit them.

#34 - 2016-05-08 09:14 - Go MAEDA

Jean-Philippe Lang wrote:

"New issue" tab is removed (but | guess | have to provide a way to restore it anyway)

| strongly agree.
| think "New issue" tab should be placed in project menu if this new "Add" button is not implemented.

#35 - 2016-05-08 10:33 - Go MAEDA
- Target version set to 3.4.0

Setting target version to 3.4.0 so that we continue working on this. :)

#36 - 2016-06-06 14:26 - Jan from Planio www.plan.io

- File 0001-introduce-virtual-MenuNodes-which-are-characterized-.patch added

- File 0002-style-nested-menus-as-drop-downs-on-hover-in-all-thr.patch added

- File 0003-add-virtual-menu-at-the-beginning-of-the-project-men.patch added

- File 0004-keep-the-new-object-drop-down-open-when-the-sign-was.patch added
- File 0005-move-New-issue-menu-item-to-the-new-object-menu-and-.patch added
- File 0006-add-link-to-add-a-new-wiki-page-to-new-object-menu.patch added

- Assignee deleted (Jan from Planio www.plan.io)

| have rebased the patch series (minus the things already committed by Jean-Philippe) on the current trunk.

Ready to be committed :-)

#37 - 2016-06-06 14:27 - Jan from Planio www.plan.io

- File deleted (0002-introduce-virtual-MenuNodes-which-are-characterized-.patch)

#38 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0003-style-nested-menus-as-drop-downs-on-hover-in-all-thr.patch)
#39 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0001-bugfix-like-top-level-menu-nodes-child-nodes-should-.patch)

#40 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0004-add-virtual-menu-at-the-beginning-of-the-project-men.patch)

#41 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0005-move-New-issue-menu-item-to-the-new-object-menu-and-.patch)

#42 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0006-add-a-New-issue-link-to-contextual-area-of-issues-li.patch)

#43 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0007-add-link-and-a-new-action-to-add-a-new-wiki-page-to-.patch)

#44 - 2016-06-06 14:27 - Jan from Planio www.plan.io
- File deleted (0008-keep-the-new-object-drop-down-open-when-the-sign-was.patch)

#45 - 2016-06-06 15:24 - Go MAEDA

- File new-add-button-20160606.png added
- File new-add-button-20160606.mp4 added
- Assignee set to Jean-Philippe Lang

- Target version changed from 3.4.0 to 3.3.0

Thanks Jan for working on this. | tried out this patch.

It is a awesome feature. We can access every "Add" screen from everywhere by one click. | am sure that UX of Redmine is significantly improved by
this feature. Probably | will never enable 'Display the "New issue" tab' setting introduced by #6204 if this feature get implemented.

@Jean-Phillipe, please reconsider include this feature in 3.3.0. | am setting target version to 3.3.0 again.

screenshot:
new-add-button-20160606.png

video:

attachment:new-add-button-20160606.mp4

#46 - 2016-06-06 15:46 - Jan from Planio www.plan.io

Tobias Fischer wrote:

Also bad UX in terms of accessibility.

Andy ideas how to solve this?

Btw., | have moved the access keys to the (always visible) "new issue" link within the "+" menu. This way, the Ctrl+Alt+7 shortcut will work even if the

"New issue" tab is disabled in the settings.

Furthermore, the "+" menu is designed to work on devices with a mouse (on hover) as well as on devices with a touchscreen (on click).
#47 - 2016-06-06 15:53 - Jan from Planio www.plan.io

the fury wrote:

Speaking of vertical nav menus, how would this "add new" menu work when on mobile devices, with the responsive stuff?

The "+" menu does not show in the responsive menu (yet). However, with the "New issue” tab being optional, | would say that already committing the

"+" menu is an improvement even without a responsive version for it since it doesn't remove anything. It just doesn't add anything for the responsive

mode. It would be great to add responsive support at a later point in time if anyone has a good idea.

#48 - 2016-06-06 16:02 - Jan from Planio www.plan.io

- File Overview - My project - Redmine 2016-06-06 15-59-27.png added

Tobias Fischer wrote:

And what about support for third-party themes which use a vertical nav menu?

I am not aware of any currently-supported themes with vertical project nav. The only one | can remember is Pixel Cookers, but that is not compatible

with current Redmine. The project menu is already broken (even without my patches) and would require fixing, see screenshot.

Would the HTML structure still allow for such a design change?

Yes, definitely. By the way, sub menus are not a new feature. They have been existing in menu manager for about 6 years since #4250. They were
simply not used in Redmine's stock menu. Any themes implementing a vertical nav would probably need one or two lines changed in their CSS.

#49 - 2016-06-12 05:58 - Go MAEDA

- File 15880-add-link-to-new-issue.diff added

| am really glad that Jan's patches are merged into trunk.

| suggest making a small change to "+" button. "This patch" (attachment:15880-add-link-to-new-issue.diff) adds link to /issues/new page to plus button.
Users can access to the page quickly like conventional "New issue" tab, only by clicking "+" button.

non

In current implementation, clicking "+" button triggers toggleNewObjectDropdown() but it seems not working as expected.

#50 - 2016-06-12 06:31 - Go MAEDA

Go MAEDA wrote:

| suggest making a small change to "+" button. "This patch" (attachment:15880-add-link-to-new-issue.diff) adds link to /issues/new page to plus
button. Users can access to the page quickly like conventional "New issue" tab, only by clicking "+" button.

Comparison of steps to access "/issues/new" page:
Current implementation:
1. Move cursor to "+". Dropdown menu shows up.
2. Move cursor to "New issue" menu item.
3. Click left button of a mouse.
After the patch (attachment:15880-add-link-to-new-issue.diff) applied:
1. Move cursor to "+".
2. Click left button of a mouse.
#51 - 2016-06-12 06:58 - Toshi MARUYAMA
- Related to Patch #23040: Japanese translation update (r15509) added
#52 - 2016-06-12 08:01 - Jean-Philippe Lang
- Status changed from New to Closed
- Resolution set to Fixed
Go MAEDA wrote:
| suggest making a small change to "+" button. "This patch" (attachment:15880-add-link-to-new-issue.diff) adds link to /issues/new page to plus
button. Users can access to the page quickly like conventional "New issue" tab, only by clicking "+" button.
The click on the "+" displays the menu, which is required for touch devices as explained by Jan. Clicking on the "+" should not link to a particular menu
item IMHO.
Current implementation:
1. Move cursor to "+". Dropdown menu shows up.

2. Move cursor to "New issue" menu item.

3. Click left button of a mouse.

Yes, that's why I'm not really convinced of this new menu item. Anyway, it's merged into 3.3, with a setting to choose whether to use the new "+"

(default), the old "New issue" tab or nothing.

I'm closing this issue, please submit any improvements/changes in a separate issue for 3.3.1.

#53 - 2016-06-12 17:16 - Sebastian Paluch
Jean-Philippe Lang wrote:
Yes, that's why I'm not really convinced of this new menu item. Anyway, it's merged into 3.3, with a setting to choose whether to use the new "+"

(default), the old "New issue" tab or nothing.

Can we get a setting to show both "+" and "New issue" tab? It would be easier to introduce this menu change to users and give them a time before

turning "New issue" tab to learn/adjust.
#54 - 2016-06-13 08:34 - Anonymous

What about a split button with a "current page default" and a drop-down menu in one?

Working from the current behaviour in 3.3, the primary idea is to change the current "+" button to a dynamic button, showing "New <type>" based on

the currently viewed page. So, while viewing the "Issues" page, this would be "New Issue", "Roadmap" would be "New Version", etc. The right-side of
the split button would be a small area with a down arrow, which would open the drop-down menu with all the current options.

This would provide consistent and predictable behaviour across all platforms regardless of input type or screen size, and it would make keyboard
navigation easier while tabbing through links on the current page (yes, some people still use that on web pages).

I'm no Ruby guru, but | do love working with HTML/JS.. So | should be able to get the latest version up and running on my side and make a patch for
this idea, if need be?

[edit] My apologies, | only noticed after my comment that this issue had been closed... I'm at work at the moment, so unless someone else likes this

idea and beats me to it, as soon as | get a chance I'll make a patch for the changes | proposed and open a new ticket for discussion.

#55 - 2016-06-13 09:19 - Robert Schneider

@Andre Greeff: That is a good idea! | also thought about something like this, but without thinking about a solution: It's very likely that I'd like to create a

new version if I'm in the version section - and less likely that | then would like to create a new wiki page. If this not already considered in an own ticket

you should create a new one. It may goes into version 3.3.0 to make the global button more attractive straight from the beginning.

#56 - 2016-06-13 09:31 - Jan from Planio www.plan.io

Yes, please create a new ticket for this. This one has been closed and it's not likely many will see the discussion here.

#57 - 2016-06-14 07:45 - Rupesh J
Hi,
With Display "+" menu settings,

The + is visible in the project page.. But when | click on that + nothing happens.. The menu is not shown..

Using the latest commit in master.
| checked in both Chrome (Version 51.0.2704.84 m) and Firefox (47.0).

Thanks.

#58 - 2016-06-14 08:13 - Jan from Planio www.plan.io

Could you please post a little more about your environment? See [[Submissions#Submitting-a-Bug]] for info on what to include. Please also mention
your theme and where exactly this situation happens. You mention the "project page", do you mean /projects?

Thanks!

#59 - 2016-06-18 15:53 - Tobias Fischer

Jan from Planio www.plan.io wrote:
Tobias Fischer wrote:

And what about support for third-party themes which use a vertical nav menu?

| am not aware of any currently-supported themes with vertical project nav.

The "Highrise" theme for example (optionally) uses vertical navigation:
http://www.redmine.org/projects/redmine/wiki/Theme_List#Highrise-theme

https://www.redminecrm.com/pages/highrise-theme

The theme is under active maintenance so | think they will figure out a way to go with the new + button...

#60 - 2016-10-25 09:30 - Toshi MARUYAMA

- Related to Defect #24000: z-index children menu should be greater than content added

#61 - 2018-04-28 07:53 - Go MAEDA

- Related to Feature #4157: Ul tweaks for end user to easily get to New Issue added

#62 - 2018-10-08 09:54 - Go MAEDA
- Related to Patch #13234: Create a new wiki page link for laymans added
